var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['marionette'], function(Marionette) {
  var ShortInfoController;
  ShortInfoController = (function(superClass) {
    extend(ShortInfoController, superClass);

    function ShortInfoController() {
      return ShortInfoController.__super__.constructor.apply(this, arguments);
    }

    ShortInfoController.prototype.initialize = function(arg) {
      this.app = arg.app;
    };

    ShortInfoController.prototype.init = function(callback) {
      this.app.shortInfoRegion.reset();
      return require(['views/short-info'], (function(_this) {
        return function(ShortInfoView) {
          _this.view = new ShortInfoView({
            app: _this.app,
            id: 'short-info',
            type: 'short-info'
          });
          _this.app.shortInfoRegion.show(_this.view);
          return _this.app.server.user.info.short({
            success: function(data) {
              $('#startup-loader').hide();
              if (data.user.User.fight_points > 0 && !(app.tutorial && app.tutorial.isActive())) {
                return app.screens.modal('military-base/combat-skills-popup');
              }
            },
            error: function(data) {
              if (app.config.debug) {
                return console.log("@app.server.user.info.short ERROR", data);
              }
            }
          });
        };
      })(this));
    };

    ShortInfoController.prototype.refresh = function() {
      return this.view.invalidateCacheAndReload();
    };

    ShortInfoController.prototype.changeEnergy = function(diff) {
      var energy, ref, ref1;
      if (this.view && (((ref = this.view) != null ? (ref1 = ref._data) != null ? ref1.info : void 0 : void 0) != null)) {
        energy = Number(this.view._data.info.user.User.energy) || 0;
        this.view._data.info.user.User.energy = Math.max(energy + diff, 0);
        return this.view.render();
      }
    };

    ShortInfoController.prototype.changeUserParams = function(params) {
      var diff, initial, param, ref, ref1;
      if (this.view && (((ref = this.view) != null ? (ref1 = ref._data) != null ? ref1.info : void 0 : void 0) != null)) {
        for (param in params) {
          diff = params[param];
          initial = Number(this.view._data.info.user.User[param]) || 0;
          this.view._data.info.user.User[param] = Math.max(initial + diff, 0);
        }
        return this.view.render();
      }
    };

    return ShortInfoController;

  })(Marionette.Controller);
  return ShortInfoController;
});
