var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['underscore', 'backbone'], function(_, Backbone) {
  var PatchedView, PatchedViews;
  PatchedView = (function(superClass) {
    extend(PatchedView, superClass);

    PatchedView.prototype.defaults = function() {
      return {
        id: null
      };
    };

    function PatchedView(options) {
      PatchedView.__super__.constructor.call(this, options);
    }

    return PatchedView;

  })(Backbone.Model);
  PatchedViews = (function(superClass) {
    extend(PatchedViews, superClass);

    function PatchedViews() {
      return PatchedViews.__super__.constructor.apply(this, arguments);
    }

    PatchedViews.prototype.model = PatchedView;

    PatchedViews.prototype.initialize = function(models, options) {
      return this.app = options.app;
    };

    PatchedViews.prototype.url = function() {
      return this.app.config.serverURLProtocol + '://' + this.app.config.serverURL + '/mobile/' + this.app.config.version.value + '/list.js';
    };

    PatchedViews.prototype.hasPatch = function(id) {
      var view;
      view = this.findWhere({
        id: id
      });
      if (view) {
        return true;
      } else {
        return false;
      }
    };

    return PatchedViews;

  })(Backbone.Collection);
  return PatchedViews;
});
