var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/blueprints/blueprint-popup.tmpl', 'text!templates/inventory/item.tmpl', 'moment'], function(app, ItemView, _, template, itemTemplate, moment) {
  var BlueprintPopupView;
  BlueprintPopupView = (function(superClass) {
    extend(BlueprintPopupView, superClass);

    function BlueprintPopupView() {
      return BlueprintPopupView.__super__.constructor.apply(this, arguments);
    }

    BlueprintPopupView.prototype.template = template;

    BlueprintPopupView.prototype.itemTemplate = itemTemplate;

    BlueprintPopupView.prototype.events = {
      'click .js-duplicate': 'duplicateReceipt'
    };

    BlueprintPopupView.prototype.duplicateReceipt = function(event) {
      return app.server.blueprints.duplicate({
        blueprintId: this.options.blueprint.id,
        success: (function(_this) {
          return function(data) {
            return app.screens.close(function() {
              return app.screens.modal('common/success-popup', {
                msg: app.tr("Blueprint duplicated")
              });
            });
          };
        })(this),
        error: (function(_this) {
          return function(data) {
            return app.screens.close(function() {
              var ref;
              return app.screens.modal('common/info-popup', {
                msg: (data != null ? (ref = data.setFlash[0]) != null ? ref.msg : void 0 : void 0) || app.tr("Something went wrong!")
              });
            });
          };
        })(this)
      });
    };

    BlueprintPopupView.prototype.serializeData = function() {
      var data, tpl;
      data = BlueprintPopupView.__super__.serializeData.call(this);
      data.item = this.options.blueprint.prodItemType;
      data.blueprint = this.options.blueprint;
      tpl = _.template(itemTemplate);
      data.itemDescriptionString = tpl({
        ItemType: data.item
      });
      return data;
    };

    return BlueprintPopupView;

  })(ItemView);
  return BlueprintPopupView;
});
