var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/business/select-company-type.tmpl'], function(app, ItemView, _, template) {
  var SelectDialogView;
  SelectDialogView = (function(superClass) {
    extend(SelectDialogView, superClass);

    function SelectDialogView() {
      return SelectDialogView.__super__.constructor.apply(this, arguments);
    }

    SelectDialogView.prototype.template = template;

    SelectDialogView.prototype.data = {
      productionInfo: 'business.getProductionListCompanyType'
    };

    SelectDialogView.prototype.className = 'js-select-dialog-screen';

    SelectDialogView.prototype.required = ['collection', 'callback'];

    SelectDialogView.prototype.events = {
      'click @ui.close': 'dropdownBehaviour',
      'click .js-select-type': 'select'
    };

    SelectDialogView.prototype.ui = {
      close: '.dropdown__title'
    };

    SelectDialogView.prototype.select = function(event) {
      var companyTypeId;
      this.lockUI();
      companyTypeId = event.currentTarget.getAttribute('data-id');
      this.options.callback(companyTypeId);
      return app.screens.back();
    };

    SelectDialogView.prototype.dropdownBehaviour = function(e) {
      var dropdown;
      dropdown = $(e.currentTarget).closest('.dropdown');
      dropdown.toggleClass('is-active');
      dropdown.find('.dropdown__title icon').toggleClass('o-icon--right-arrow o-icon--down-arrow');
      return dropdown.find('.dropdown__details').toggle();
    };

    return SelectDialogView;

  })(ItemView);
  return SelectDialogView;
});
