define(['app', 'views/item-view', 'underscore', 'text!templates/common/data-load-progressbar.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    addListeners: (function(_this) {
      return function() {
        _this.lockUI();
        return _this.app.listenToOnce(_this.app, 'data:loaded', function() {
          return app.screens.close();
        });
      };
    })(this)
  });
});
