define(['app', 'views/item-view', 'underscore', 'text!templates/common/energy-popup.tmpl', 'moment'], function(app, ItemView, _, template, moment) {
  return ItemView.extend({
    template: template,
    required: ['items', 'recoveryTime'],
    onRender: function() {
      return app.server.cache[app.server.cachePointerToUrl['user.info.short']].invalidate();
    },
    onDomRefresh: function() {
      return this.$el.find('.c-popup__height').css('max-height', $('.js-current-screen').height() - 200);
    }
  });
});
