define(['app', 'views/item-view', 'underscore', 'text!templates/business/move-item-popup.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    required: ['itemTypeId', 'number', 'callback'],
    data: {
      item: {
        pointer: 'corporation.itemInfo',
        itemTypeId: function() {
          return this.options.itemTypeId;
        }
      }
    },
    events: {
      'click .js-confirm': 'confirm'
    },
    confirm: function() {
      var quantity;
      this.lockUI();
      quantity = this.$('.js-items-number').val();
      return this.options.callback(quantity);
    }
  });
});
