define(['app', 'views/item-view', 'underscore', 'text!templates/events/bb-popup.tmpl', 'views/components/currency'], function(app, ItemView, _, template, formatCurrency) {
  return ItemView.extend({
    template: template,
    onDomRefresh: function() {
      return [].forEach.call(this.el.querySelectorAll('.js-currency'), function(el) {
        return el.innerHTML = formatCurrency(el.innerHTML);
      });
    }
  });
});
