define(['app', 'views/item-view', 'underscore', 'text!templates/job/job-center.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    data: {
      'vacancies': 'work.vacancies',
      'currentWork': 'work.current'
    },
    events: {
      'click .js-goto-vacancies': 'gotoVacancies'
    },
    gotoVacancies: function(event) {
      var professionId;
      this.lockUI();
      professionId = event.currentTarget.getAttribute('data-profession-id');
      return app.screens.dialog('job/vacancies', {
        professionId: professionId
      });
    }
  });
});
