define(['app', 'views/item-view', 'underscore', 'text!templates/military-base/pvp.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    className: 'military-layout dark-theme',
    data: {
      info: 'military.info',
      pvpInfo: 'military.pvp.info'
    },
    events: {
      'click .js-fight': 'fight'
    },
    fight: function() {
      this.lockUI();
      return app.screens.modal('military-base/pvp-search-popup');
    },

    /*
    			Center cloud
     */
    centerCloud: function() {
      var height;
      if ($('.c-cloud').length > 0) {
        height = $('.js-current-screen').outerHeight() - $('.c-header-wrapper').outerHeight() - $('.c-cloud').outerHeight();
        return $('.c-cloud').css('margin-top', height / 2);
      }
    },
    onDomRefresh: function() {
      return this.centerCloud();
    }
  });
});
