var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/profile/combat.tmpl', 'text!templates/inventory/item.tmpl'], function(app, ItemView, _, template, itemTemplate) {
  var CombatView;
  CombatView = (function(superClass) {
    extend(CombatView, superClass);

    function CombatView() {
      return CombatView.__super__.constructor.apply(this, arguments);
    }

    CombatView.prototype.template = template;

    CombatView.prototype.itemTemplate = itemTemplate;

    CombatView.prototype.events = {
      'click .js-open-info': 'openInfo',
      'click .js-close-info': 'closeInfo',
      'click @ui.close': 'dropdownBehaviour'
    };

    CombatView.prototype.ui = {
      close: '.dropdown__title'
    };

    CombatView.prototype.data = {
      info: 'user.info'
    };

    CombatView.prototype.initialize = function() {
      CombatView.__super__.initialize.apply(this, arguments);
      return this.options.itemTemplate = _.template(this.itemTemplate);
    };

    CombatView.prototype.openInfo = function(event) {
      return this.$el.find('.c-hidden-info').toggleClass('u-hide');
    };

    CombatView.prototype.dropdownBehaviour = function(e) {
      var dropdown;
      dropdown = $(e.currentTarget).closest('.dropdown');
      dropdown.toggleClass('is-active');
      dropdown.find('.dropdown__title icon').toggleClass('o-icon--right-arrow o-icon--down-arrow');
      return dropdown.find('.dropdown__details').toggle();
    };

    return CombatView;

  })(ItemView);
  return CombatView;
});
