define(['app', 'views/item-view', 'underscore', 'text!templates/quests/quests-popup.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .c-popup-wrap': 'confirm'
    },
    confirm: function() {
      this.lockUI();
      if (this.options.callback) {
        this.options.callback();
      }
      if (this.options.needReload === false) {
        return this.app.screens.back(null, {
          needReload: false
        });
      } else {
        return this.jsBack();
      }
    }
  });
});
