var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/ratings/profile_ratings.tmpl'], function(app, ItemView, _, template, EnergySlider) {
  var RatingView;
  RatingView = (function(superClass) {
    extend(RatingView, superClass);

    function RatingView() {
      return RatingView.__super__.constructor.apply(this, arguments);
    }

    RatingView.prototype.template = template;

    RatingView.prototype.data = {
      ratings: {
        pointer: 'ratings.profile_rating',
        tab: function() {
          var result;
          result = (function() {
            switch (this.options.screen_options) {
              case "0":
                return "players.json?timeFilter=2&cityFilter=0&usersFilter=0";
              case "1":
                return "companies.json?timeFilter=2";
              case "2":
                return "corporations.json?timeFilter=2";
              case "3":
                return "cities.json?timeFilter=2";
            }
          }).call(this);
          return result;
        }
      }
    };

    return RatingView;

  })(ItemView);
  return RatingView;
});
