var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/ratings/show.tmpl'], function(app, ItemView, _, template, EnergySlider) {
  var RatingView;
  RatingView = (function(superClass) {
    extend(RatingView, superClass);

    function RatingView() {
      return RatingView.__super__.constructor.apply(this, arguments);
    }

    RatingView.prototype.template = template;

    RatingView.prototype.data = {
      ratings: {
        pointer: 'ratings.show',
        ratingType: function() {
          return this.options.screen_options;
        }
      }
    };

    RatingView.prototype.events = {
      'click .js-open-full-rating': 'openFullRating',
      'click .js-close-full-rating': 'closeFullRating'
    };

    RatingView.prototype.openFullRating = function(event) {
      var card, fullRating, target;
      target = $(event.target);
      card = target.closest(".c-card-wrapper__col");
      fullRating = card.find(".full-rating");
      fullRating.css("display", "block");
      target.removeClass('js-open-full-rating');
      return target.addClass('js-close-full-rating');
    };

    RatingView.prototype.closeFullRating = function(event) {
      var card, fullRating, target;
      target = $(event.target);
      card = target.closest(".c-card-wrapper__col");
      fullRating = card.find(".full-rating");
      fullRating.css("display", "none");
      target.removeClass('js-close-full-rating');
      return target.addClass('js-open-full-rating');
    };

    return RatingView;

  })(ItemView);
  return RatingView;
});
