define(['app', 'views/item-view', 'underscore', 'text!templates/stadium/complex.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,

    /*
    			Center cloud
     */
    centerCloud: function() {
      var $cloud, $container;
      if ($('.c-cloud').length > 0) {
        $cloud = $('.c-cloud');
        $container = $('.js-current-screen');
        return $cloud.css('margin-top', ($container.height() / 2 - $cloud.height() / 2) / 2);
      }
    },
    onDomRefresh: function() {
      return this.centerCloud();
    }
  });
});
