define(['app', 'views/trade-center/items-buy-grouped'], function(app, ItemBuyView) {
  return ItemBuyView.extend({
    className: 'trade-center-layout bgc-grey-5',
    data: {
      'items': {
        pointer: 'tradeCenter.lotsListCompany',
        category: function() {
          return this.options.category;
        },
        companyId: function() {
          return this.options.companyId;
        }
      }
    },
    showLots: function(event) {
      var companyId, currency, itemTypeId;
      this.lockUI();
      currency = event.currentTarget.getAttribute('data-currency');
      itemTypeId = event.currentTarget.getAttribute('data-item-id');
      companyId = this.options.companyId;
      return app.screens.dialog('trade-center/lots-company', {
        currency: currency,
        itemTypeId: itemTypeId,
        companyId: companyId
      });
    },
    sendGAView: function() {}
  });
});
