define(['app', 'views/item-view', 'underscore', 'text!templates/trade-center/trade-center-business.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    data: {
      items: 'tradeCenter.itemGroups'
    },
    events: {
      'click .js-items-category': 'gotoCategory'
    },
    gotoCategory: function(event) {
      var category, corporationId;
      this.lockUI();
      category = event.currentTarget.getAttribute('data-category-id');
      corporationId = this.options.corporationId;
      return app.screens.dialog('trade-center/items-buy-grouped', {
        category: category,
        corporationId: corporationId
      });
    }
  });
});
