var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor.tmpl'], function(app, PulsateView, template) {
  var Tutorial;
  Tutorial = (function(superClass) {
    extend(Tutorial, superClass);

    function Tutorial() {
      return Tutorial.__super__.constructor.apply(this, arguments);
    }

    Tutorial.prototype.template = template;

    Tutorial.prototype.className = 'o-tutor quests-1';

    Tutorial.prototype._controlSelector = '#menu-group-military';

    Tutorial.prototype._wrapperSelector = '.js-menu';

    Tutorial.prototype.events = {
      'click .o-click-area': 'nextScreen'
    };

    Tutorial.prototype.initialize = function(options) {
      options.message = app.tr('tutor-3-military');
      options.message2 = app.tr('tutor-3-military-click');
      return Tutorial.__super__.initialize.call(this, options);
    };

    Tutorial.prototype.nextScreen = function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_INITIAL, 4);
      app.modalDialog.screen('tutor/entrance/entrance-5');
      return $(this._controlSelector).removeClass('c-pulsate js-next-screen');
    };

    return Tutorial;

  })(PulsateView);
  return Tutorial;
});
