define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    tutor_message: app.tr('TUTOR_FIGHT_3_MSG'),
    _controlSelector: '.js-tutor-urban-gangs',
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_GANGFIGHT, 3);
      this.removePulsate();
      app.screens.once('view:ready:military-base/gangs', function() {
        return app.modalDialog.screen('tutor/fight-tutor/fight-4');
      });
      return app.screens.dialog('military-base/gangs');
    }
  });
});
