define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor.tmpl'], function(app, PulsateView, template) {
  return PulsateView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_GANGFIGHT, 7);
      app.screens.closeCurrentModals();
      return app.modalDialog.close();
    },
    onBeforeRender: function(event) {
      return this.options.message = app.tr("Excellent! Continue in the same spirit, the city is still full of bandits.");
    }
  });
});
