define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor.tmpl'], function(app, PulsateView, template) {
  return PulsateView.extend({
    template: template,
    _controlSelector: '.js-tutor-inventory',
    _wrapperSelector: '.js-menu',
    tutor_show_quest: 'tutorial_gangfight',
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_USE_RANDOM, 2);
      this.removePulsate();
      app.menu.close();
      app.screens.main('profile');
      return app.screens.once('view:ready:profile', function() {
        return app.modalDialog.screen('tutor/fight-tutor/fight-in-inventory');
      });
    },
    onBeforeRender: function() {
      this.options.message = app.tr('Go to inventory and get random item!');
      return this.options.message2 = app.tr('You can also get this item from referals');
    }
  });
});
