var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  var FightRepeatView;
  FightRepeatView = (function(superClass) {
    extend(FightRepeatView, superClass);

    function FightRepeatView() {
      return FightRepeatView.__super__.constructor.apply(this, arguments);
    }

    FightRepeatView.prototype._controlSelector = '.js-tutor-fight-repeat';

    FightRepeatView.prototype.initialize = function(options) {
      var ref, ref1;
      this.options = options;
      if (((ref = this.options) != null ? ref.wins : void 0) === 1) {
        this.tutor_message = app.tr('Look at your damage, lost health and earnings!');
      }
      if (((ref1 = this.options) != null ? ref1.wins : void 0) === 2) {
        this.tutor_message = app.tr('The stronger the bandit, the better you are prepared to fight - the more you earn.');
      }
      return FightRepeatView.__super__.initialize.call(this, this.options);
    };

    FightRepeatView.prototype.nextScreen = function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_GANGFIGHT, 6);
      this.removePulsate().click();
      return app.modalDialog.close();
    };

    return FightRepeatView;

  })(PulsateView);
  return FightRepeatView;
});
