define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    tutor_message: app.tr('TUTOR_FIGHT_ITEM_USE_POPUP_NEXT2_MSG'),
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_USE_RANDOM, 4);
      this.hideTutor();
      app.tutorial.completeTutorial(app.tutorial.TUTORIAL_USE_RANDOM);
      return app.tutorial._startNextTutorialWhenQuestAvailable(app.tutorial.TUTORIAL_QUEST_TRAUMA);
    }
  });
});
