define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    _controlSelector: '.js-tutor-quest',
    _wrapperSelector: '.js-menu',
    nextScreen: function(event) {
      if (app.config.googleAnalyticsEnabled && app.ga) {
        app.ga('send', 'tutorpageview', {
          page: '/scr/military-base/fight-result-popup'
        });
      }
      app.tutorial.saveStep(app.tutorial.TUTORIAL_GANGFIGHT, 13);
      $('.js-tutor-quests').click().removeClass('c-pulsate');
      app.menu.closeGroup('information');
      app.menu.close();
      app.screens.once('view:ready:quests', function() {
        return app.modalDialog.screen('tutor/fight-tutor/quests-fight-complete');
      });
      return app.screens.main('quests');
    }
  });
});
