define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    className: 'o-tutor quests-3',
    tutor_show_quest: 'tutorial_gangfight',
    _controlSelector: '.js-quest-info[data-quest-cid=tutorial_gangfight]',
    onBeforeRender: function(event) {
      return app.hideLoader();
    },
    nextScreen: function() {
      app.screens.once('view:ready:quests/quest', function() {
        return app.modalDialog.screen('tutor/fight-tutor/quests-fight-taken');
      });
      return this.removePulsate().click();
    },
    onRender: function() {
      if ($(this._controlSelector).length === 0) {
        return app.screens.current.reload();
      }
    }
  });
});
