define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor.tmpl'], function(app, PulsateView, template) {
  return PulsateView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      var adjustEvent;
      app.tutorial.completeTutorial(app.tutorial.TUTORIAL_FINAL);
      if (app.adjustEnabled) {
        adjustEvent = new app.adjust.AdjustEvent("uzx89d");
        adjustEvent.addPartnerParameter('event_key', 'uzx89d');
        app.adjust.Adjust.trackEvent(adjustEvent);
      }
      if (app.config.googleAnalyticsEnabled && app.ga) {
        app.ga('send', 'tutorpageview', {
          page: '/scr/quests'
        });
      }
      app.tutorial.finish();
      return app.modalDialog.close();
    },
    onBeforeRender: function(event) {
      return this.options.message = app.tr('final-tutor-text-3');
    }
  });
});
