define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    tutor_message: app.tr('TUTOR_GET_AWARD_5_MSG'),
    _controlSelector: '.js-tutor-quests',
    _wrapperSelector: '.js-menu',
    className: 'o-tutor entrance-4',
    nextScreen: function(event) {
      $('.js-tutor-quests').removeClass('c-pulsate');
      app.menu.closeGroup('information');
      app.screens.once('view:ready:quests', function() {
        return app.modalDialog.screen('tutor/get-award-6');
      });
      return app.screens.main('quests');
    }
  });
});
