var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  var TutorialView;
  TutorialView = (function(superClass) {
    extend(TutorialView, superClass);

    function TutorialView() {
      return TutorialView.__super__.constructor.apply(this, arguments);
    }

    TutorialView.prototype._controlSelector = '.js-tutor-trauma-popup-close';

    TutorialView.prototype.tutor_message = app.tr('Now you know details of your injury.');

    TutorialView.prototype.nextScreen = function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRAUMA, 5);
      app.screens.closeCurrentModals();
      this.removePulsate();
      return app.modalDialog.screen('tutor/injury-5');
    };

    return TutorialView;

  })(PulsateView);
  return TutorialView;
});
