define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    _controlSelector: '.js-tutor-hospital',
    _wrapperSelector: '.js-menu',
    _menuGroup: 'military',
    tutor_message: app.tr('You have injury! Try to heal yourself.'),
    tutor_show_quest: 'tutorial_trauma',
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRAUMA, 6);
      app.screens.closeCurrentModals();
      this.removePulsate();
      app.menu.close();
      app.screens.once('view:ready:hospital', function() {
        return app.modalDialog.screen('tutor/injury-6');
      });
      return app.screens.main('hospital');
    }
  });
});
