var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor/tutor-blank.tmpl'], function(app, PulsateView, template) {
  var Tutorial;
  Tutorial = (function(superClass) {
    extend(Tutorial, superClass);

    function Tutorial() {
      return Tutorial.__super__.constructor.apply(this, arguments);
    }

    Tutorial.prototype.className = 'o-tutor quests-1';

    Tutorial.prototype.template = template;

    Tutorial.prototype.tutor_message = app.tr('TUTOR_JOB_2_MSG');

    Tutorial.prototype.tutor_show_quest = 'tutorial_job';

    Tutorial.prototype._controlSelector = '.js-tutor-economics';

    Tutorial.prototype._wrapperSelector = '.js-menu';

    Tutorial.prototype.initialize = function(options) {
      $('.c-header__menu-button').removeClass('c-pulsate js-next-screen');
      return Tutorial.__super__.initialize.call(this, options);
    };

    Tutorial.prototype.nextScreen = function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_JOB, 2);
      app.modalDialog.screen('tutor/job-tutor/job-3');
      return $(this._controlSelector).removeClass('c-pulsate js-next-screen');
    };

    return Tutorial;

  })(PulsateView);
  return Tutorial;
});
