var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor.tmpl'], function(app, PulsateView, template) {
  var Tutorial;
  Tutorial = (function(superClass) {
    extend(Tutorial, superClass);

    function Tutorial() {
      return Tutorial.__super__.constructor.apply(this, arguments);
    }

    Tutorial.prototype.template = template;

    Tutorial.prototype._controlSelector = '.c-header__menu-button';

    Tutorial.prototype.className = 'o-tutor job-8';

    Tutorial.prototype.initialize = function(options) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_JOB, 9);
      options.message = app.tr('tutor-job-8');
      options.message2 = app.tr('tutor-job-8-bold');
      options.showButton = true;
      $('.c-skip-tutor-btn').hide();
      return Tutorial.__super__.initialize.call(this, options);
    };

    Tutorial.prototype.nextScreen = function(event) {
      $(this._controlSelector).removeClass('c-pulsate js-next-screen');
      $('.c-skip-tutor').hide(1000);
      return $('.c-skip-tutor-btn').show(1000, function() {
        return app.quests.whenQuestFinished('tutorial_job').then(function() {
          return app.modalDialog.screen('tutor/job-tutor/job-10');
        });
      });
    };

    return Tutorial;

  })(PulsateView);
  return Tutorial;
});
