var bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; },
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  var Tutorial;
  Tutorial = (function(superClass) {
    extend(Tutorial, superClass);

    function Tutorial() {
      this.nextScreen = bind(this.nextScreen, this);
      return Tutorial.__super__.constructor.apply(this, arguments);
    }

    Tutorial.prototype.className = 'o-tutor quests-1';

    Tutorial.prototype.tutor_message = app.tr('TUTOR_JOB_RESIGN_2_MSG');

    Tutorial.prototype._controlSelector = '.js-resign';

    Tutorial.prototype.nextScreen = function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_JOB, 21);
      app.screens.current.unlockUI();
      app.screens.once('view:ready:common/confirmation-popup', function() {
        return app.modalDialog.screen('tutor/job-tutor/job-resign-3');
      });
      return $(this._controlSelector).click().removeClass('c-pulsate');
    };

    return Tutorial;

  })(PulsateView);
  return Tutorial;
});
