var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  var Tutorial;
  Tutorial = (function(superClass) {
    extend(Tutorial, superClass);

    function Tutorial() {
      return Tutorial.__super__.constructor.apply(this, arguments);
    }

    Tutorial.prototype.className = 'o-tutor quests-1';

    Tutorial.prototype._controlSelector = '.js-tutor-labor';

    Tutorial.prototype.initialize = function(options) {
      options.message = app.tr('tutor-job-resign');
      return Tutorial.__super__.initialize.call(this, options);
    };

    Tutorial.prototype.nextScreen = function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_JOB, 23);
      $(this._controlSelector).removeClass('c-pulsate');
      app.screens.once('view:ready:job/job-center', function() {
        return app.modalDialog.screen('tutor/job-tutor/job-resign-5');
      });
      return app.screens.main('job/job-center');
    };

    return Tutorial;

  })(PulsateView);
  return Tutorial;
});
