var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  var TradeCenterQuestView;
  TradeCenterQuestView = (function(superClass) {
    extend(TradeCenterQuestView, superClass);

    function TradeCenterQuestView() {
      return TradeCenterQuestView.__super__.constructor.apply(this, arguments);
    }

    TradeCenterQuestView.prototype.className = 'o-tutor quests-3';

    TradeCenterQuestView.prototype.tutor_show_quest = 'tutorial_tradecenter';

    TradeCenterQuestView.prototype._controlSelector = '.js-quest-info[data-quest-cid=tutorial_tradecenter]';

    TradeCenterQuestView.prototype.tutor_message = app.tr('No need to fight with the bandits bare fists, in the Mall you will find many interesting.');

    TradeCenterQuestView.prototype.nextScreen = function() {
      app.screens.once('view:ready:quests/quest', function() {
        return app.modalDialog.screen('tutor/quests/quests-4');
      });
      return $(this._controlSelector).removeClass('c-pulsate').click();
    };

    return TradeCenterQuestView;

  })(PulsateView);
  return TradeCenterQuestView;
});
