var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor/tutor-blank.tmpl'], function(app, PulsateView, template) {
  var Tutorial;
  Tutorial = (function(superClass) {
    extend(Tutorial, superClass);

    function Tutorial() {
      return Tutorial.__super__.constructor.apply(this, arguments);
    }

    Tutorial.prototype.template = template;

    Tutorial.prototype.tutor_message = app.tr('TUTOR_SPORT_6_MSG');

    Tutorial.prototype._controlSelector = '.js-tutor-levelup-btn';

    Tutorial.prototype.nextScreen = function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRAINING, 6);
      $(this._controlSelector).removeClass('c-pulsate');
      $(this._controlSelector).click();
      app.screens.closeCurrentModals();
      if (app.config.googleAnalyticsEnabled && app.ga) {
        app.ga('send', 'tutorpageview', {
          page: '/scr/stadium/training-popup'
        });
      }
      return app.modalDialog.screen('tutor/sport-tutor/sport-7');
    };

    return Tutorial;

  })(PulsateView);
  return Tutorial;
});
