define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor.tmpl'], function(app, PulsateView, template) {
  return PulsateView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRAINING, 7);
      $(this._controlSelector).removeClass('c-pulsate');
      app.modalDialog.screen('tutor/sport-tutor/sport-8');
      if (app.gaEnabled) {
        return app.ga('send', 'tutorpageview', {
          page: '/scr/common/level-up-first-popup'
        });
      }
    },
    onBeforeRender: function(event) {
      return this.options.message = app.tr('sport-tutor-text-1');
    }
  });
});
