define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor/tutor-blank.tmpl'], function(app, PulsateView) {
  return PulsateView.extend({
    _controlSelector: '.js-tutor-quest',
    _wrapperSelector: '.js-menu',
    _menuGroup: 'information',
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRAINING, 9);
      $(this._controlSelector).removeClass('c-pulsate');
      app.menu.closeGroup('information');
      app.menu.close();
      app.screens.main('quests');
      return app.screens.once('view:ready:quests', function() {
        return app.modalDialog.screen('tutor/sport-tutor/sport-10');
      });
    }
  });
});
