var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  var TradeCenterPulsateView;
  TradeCenterPulsateView = (function(superClass) {
    extend(TradeCenterPulsateView, superClass);

    function TradeCenterPulsateView() {
      return TradeCenterPulsateView.__super__.constructor.apply(this, arguments);
    }

    TradeCenterPulsateView.prototype.allow_html = true;

    TradeCenterPulsateView.prototype.tutor_message = app.tr('You can find the minimum price, item parameters, name and avatar at this screen. In addition you can search for items by name.');

    TradeCenterPulsateView.prototype._controlSelector = '.js-tutor-lot:first';

    TradeCenterPulsateView.prototype.nextScreen = function(event) {
      $(this._controlSelector).removeClass('c-pulsate').click();
      return app.screens.once('view:ready:trade-center/lots', function() {
        return app.modalDialog.screen('tutor/trade/trade-center-6');
      });
    };

    return TradeCenterPulsateView;

  })(PulsateView);
  return TradeCenterPulsateView;
});
