define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    tutor_message: app.tr('TUTOR_TRADE_9_MSG'),
    _controlSelector: '.js-tutor-inventory',
    _wrapperSelector: '.js-menu',
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRADECENTER, 9);
      this.removePulsate();
      app.menu.close();
      app.screens.main('profile');
      return app.screens.once('view:ready:profile', function() {
        return app.modalDialog.screen('tutor/trade/trade-center-10');
      });
    }
  });
});
