define(['app', 'views/item-view', 'underscore', 'text!templates/tutor.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      app.screens.closeCurrentModals();
      app.menu.open();
      return app.modalDialog.screen('tutor/train-2');
    },
    onBeforeRender: function(event) {
      return this.options.message = app.tr('If you want to fight with the bandits, first you should prepare.');
    }
  });
});
