define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    _controlSelector: '.js-tutor-stadium',
    _wrapperSelector: '.js-menu',
    tutor_message: app.tr('TUTOR_TRAIN_2_MSG'),
    nextScreen: function(event) {
      $('.js-tutor-stadium').removeClass('c-pulsate');
      app.menu.close();
      app.screens.once('view:ready', function() {
        return app.modalDialog.screen('tutor/train-3');
      });
      return app.screens.main('stadium');
    }
  });
});
