define(['app', 'views/item-view', 'underscore', 'text!templates/tutor.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      $('.js-tutor-skill').removeClass('c-pulsate').click();
      return app.modalDialog.screen('tutor/train-4');
    },
    onBeforeRender: function(event) {
      return this.options.message = app.tr('Strength increases the damage of melee attacks.');
    },
    onDomRefresh: function() {
      return $('.js-tutor-skill').addClass('c-pulsate');
    }
  });
});
