var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/business/company-reports/archive.tmpl'], function(app, ItemView, _, template) {
  var CompanyReports;
  CompanyReports = (function(superClass) {
    extend(CompanyReports, superClass);

    function CompanyReports() {
      return CompanyReports.__super__.constructor.apply(this, arguments);
    }

    CompanyReports.prototype.template = template;

    CompanyReports.prototype.data = {
      reports: {
        pointer: 'business.getReports',
        companyId: function() {
          return this.options.companyId;
        }
      }
    };

    CompanyReports.prototype.events = {
      'click .js-show-report': 'showReport'
    };

    CompanyReports.prototype.showReport = function(event) {
      var report, reportIndex;
      reportIndex = event.currentTarget.getAttribute('data-report-index');
      report = this._data.reports.reports[reportIndex];
      return app.screens.modal('business/company-reports/report', {
        report: report
      });
    };

    return CompanyReports;

  })(ItemView);
  return CompanyReports;
});
