define(['app', 'views/item-view', 'underscore', 'text!templates/common/choose-popup.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    className: 'military-base-layout',
    events: {
      'click .js-choose-element': 'chooseElement'
    },
    chooseElement: function(event) {
      var elementId;
      this.lockUI();
      elementId = parseInt(event.currentTarget.getAttribute('data-element-id'));
      if (this.options.callback != null) {
        this.options.callback(elementId);
      }
      return app.screens.back();
    },
    onDomRefresh: function() {
      return $('.military-base-layout').css('height', document.body.clientHeight);
    }
  });
});
