define(['app'], function(app) {
  return function(price) {
    var decimalPattern;
    decimalPattern = /^\d*(\.\d{0,2})?$/;
    if (!decimalPattern.test(price)) {
      app.screens.modal('common/info-popup', {
        msg: app.tr("PRICES_ONLY_CENTS_ALLOWED")
      });
      return false;
    }
    return true;
  };
});
