define([], function() {
  return function(fileInputSelector, url, callback) {
    var $fileInputSelector;
    $fileInputSelector = $(fileInputSelector);
    $fileInputSelector.trigger('click');
    return $fileInputSelector.one('change', function() {
      var files, formData, xhr;
      files = this.files;
      console.log(files);
      formData = new FormData();
      formData.append('file', files[0], files[0].name);
      console.log(formData);
      xhr = new XMLHttpRequest();
      xhr.open('POST', url, true);
      xhr.withCredentials = true;
      xhr.onload = function() {
        if (xhr.status === 200) {
          return callback(null, this.responseText);
        } else {
          return callback(true);
        }
      };
      return xhr.send(formData);
    });
  };
});
