define(['app'], function(app) {
  return {
    itemTypeComparatorFactory: function(categorySortWeights) {
      return function(a, b) {
        var categorySortWeightsDiff, produceHoursDiff;
        categorySortWeightsDiff = categorySortWeights[a.ItemType.category_id] - categorySortWeights[b.ItemType.category_id];
        if (categorySortWeightsDiff !== 0) {
          return categorySortWeightsDiff;
        }
        produceHoursDiff = b.ItemType.produce_hours - a.ItemType.produce_hours;
        return produceHoursDiff;
      };
    }
  };
});
