define(['app', 'views/item-view', 'underscore', 'text!templates/job/job-done.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .js-goto-details': 'gotoDetails'
    },
    gotoDetails: function(event) {
      this.lockUI();
      return app.screens.modal('job/job-done-2', {
        data: this._data.options.data.work_report,
        repeat: this.options.repeat
      });
    }
  });
});
