define(['app', 'views/item-view', 'underscore', 'text!templates/login/popup.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .js-select-picture': 'selectAvatar',
      'click .js-current-city': 'openDropDown',
      'click .js-city-sort li': 'selectCity'
    },
    data: {
      data: 'user.registrationInfo'
    },
    selectAvatar: function(event) {
      this.$('.sign-up-persons__image-wrapper').removeClass('sign-up-persons__image-wrapper--active');
      return $(event.currentTarget).addClass('sign-up-persons__image-wrapper--active');
    },
    openDropDown: function(event) {
      return this.$('.js-city-sort').find('ul').toggle();
    },
    selectCity: function(event) {
      return this.$('.js-city-sort').find('ul').toggle();
    }
  });
});
