var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/profile/fortune.tmpl', 'views/components/clusterize-helper'], function(app, ItemView, _, template, ClusterizeHelper) {
  var FortuneView;
  FortuneView = (function(superClass) {
    extend(FortuneView, superClass);

    function FortuneView() {
      return FortuneView.__super__.constructor.apply(this, arguments);
    }

    FortuneView.prototype.template = template;

    FortuneView.prototype.data = {
      infos: 'user.info',
      info: 'user.info.short',
      business: 'business.companyListShort',
      userCorporations: 'business.corporationList'
    };

    FortuneView.prototype.onDomRefresh = function() {
      return ClusterizeHelper(this.$el);
    };

    return FortuneView;

  })(ItemView);
  return FortuneView;
});
