var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/settings/password.tmpl'], function(app, ItemView, _, template) {
  var PasswordChangeView;
  PasswordChangeView = (function(superClass) {
    extend(PasswordChangeView, superClass);

    function PasswordChangeView() {
      return PasswordChangeView.__super__.constructor.apply(this, arguments);
    }

    PasswordChangeView.prototype.template = template;

    PasswordChangeView.prototype.className = 'no-bg-image';

    PasswordChangeView.prototype.events = {
      'click .js-change-passwd': 'changePassword'
    };

    PasswordChangeView.prototype.changePassword = function(event) {
      var old_password, passwd, passwd_confirm;
      this.lockUI();
      passwd = this.$('.js-user-passwd').val();
      passwd_confirm = this.$('.js-user-passwd-confirm').val();
      old_password = this.$('.js-current-password').val();
      return app.server.user.changePassword({
        passwd: passwd,
        passwd_confirm: passwd_confirm,
        old_password: old_password,
        success: (function(_this) {
          return function(data) {
            return app.screens.modal('common/info-popup', {
              msg: data.setFlash[0].msg || app.tr("Changed password")
            }, app.screens.back());
          };
        })(this),
        error: (function(_this) {
          return function(data) {
            return app.screens.modal('common/info-popup', {
              msg: data.setFlash[0].msg || app.tr("Something went wrong")
            });
          };
        })(this)
      });
    };

    return PasswordChangeView;

  })(ItemView);
  return PasswordChangeView;
});
