var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'views/components/currency', 'text!templates/shop/redeem-code-popup.tmpl'], function(app, ItemView, _, formatCurrency, template) {
  var RedeemCodePopupView;
  RedeemCodePopupView = (function(superClass) {
    extend(RedeemCodePopupView, superClass);

    function RedeemCodePopupView() {
      return RedeemCodePopupView.__super__.constructor.apply(this, arguments);
    }

    RedeemCodePopupView.prototype.template = template;

    RedeemCodePopupView.prototype.onDomRefresh = function() {
      return [].forEach.call(this.el.querySelectorAll('.js-currency'), function(el) {
        return el.innerHTML = formatCurrency(el.innerHTML);
      });
    };

    return RedeemCodePopupView;

  })(ItemView);
  return RedeemCodePopupView;
});
