define(['app', 'views/item-view', 'underscore', 'text!templates/trade-center/rebel/category.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    data: {
      items: 'rebel.items.categories'
    },
    events: {
      'click .js-items-category': 'gotoCategory'
    },
    gotoCategory: function(event) {
      var category, rebelWarId;
      this.lockUI();
      console.log('options category', this.options);
      category = event.currentTarget.getAttribute('data-category-id');
      rebelWarId = event.currentTarget.getAttribute('data-rebel-id');
      app.vent.trigger('trade-center:category_selected', {
        type: category
      });
      return app.screens.dialog('trade-center/items-buy-rebel', {
        category: category,
        rebelWarId: this.options.rebelWarId
      });
    }
  });
});
