var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  var TutorView;
  TutorView = (function(superClass) {
    extend(TutorView, superClass);

    function TutorView() {
      return TutorView.__super__.constructor.apply(this, arguments);
    }

    TutorView.prototype._controlSelector = '.js-tutor-military-base';

    TutorView.prototype._wrapperSelector = '.js-menu';

    TutorView.prototype._menuGroup = 'military';

    TutorView.prototype.tutor_message = app.tr('TUTOR_FIGHT_2_MSG');

    TutorView.prototype.tutor_show_quest = 'tutorial_gangfight';

    TutorView.prototype.nextScreen = function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_GANGFIGHT, 2);
      this.removePulsate().click();
      return app.screens.once('view:ready:military-base/gangs', function() {
        return app.modalDialog.screen('tutor/fight-tutor/fight-4');
      });
    };

    return TutorView;

  })(PulsateView);
  return TutorView;
});
