var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor.tmpl'], function(app, PulsateView, template) {
  var TutorView;
  TutorView = (function(superClass) {
    extend(TutorView, superClass);

    function TutorView() {
      return TutorView.__super__.constructor.apply(this, arguments);
    }

    TutorView.prototype.template = template;

    TutorView.prototype.events = {
      'click .o-click-area': 'nextScreen'
    };

    TutorView.prototype.nextScreen = function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_GANGFIGHT, 4);
      return app.modalDialog.screen('tutor/fight-tutor/fight-5');
    };

    TutorView.prototype.onBeforeRender = function(event) {
      return this.options.message = app.tr("fight-tutor-4");
    };

    return TutorView;

  })(PulsateView);
  return TutorView;
});
