define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    tutor_message: app.tr('TUTOR_FIGHT_ITEM_USE_POPUP_MSG'),
    _controlSelector: '.js-tutor-use .js-use',
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_USE_RANDOM, 3);
      app.screens.once('view:ready:common/success-popup', function() {
        return app.modalDialog.screen('tutor/fight-tutor/item-use-popup-next');
      });
      return $(this._controlSelector).removeClass('c-pulsate').click();
    }
  });
});
