define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    tutor_show_quest: 'tutorial_trauma',
    _controlSelector: '.js-quest-info[data-quest-cid=tutorial_trauma]',
    tutor_show_quest: 'tutorial_trauma',
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRAUMA, 11);
      app.screens.once('view:ready:quests/quest', function() {
        return app.modalDialog.screen('tutor/injury-11');
      });
      return $(this._controlSelector).click();
    },
    onRender: function() {
      if ($(this._controlSelector).length === 0) {
        return app.screens.current.reload();
      }
    }
  });
});
