var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  var TutorialView;
  TutorialView = (function(superClass) {
    extend(TutorialView, superClass);

    function TutorialView() {
      return TutorialView.__super__.constructor.apply(this, arguments);
    }

    TutorialView.prototype.before_tutor_transforms = {
      '.injury-red-wrapper': {
        overflow: 'auto'
      },
      '.injury-red-wrapper .c-icon-injury--red': {
        margin: '10px'
      }
    };

    TutorialView.prototype._controlSelector = '.injury-red-wrapper';

    TutorialView.prototype._wrapperSelector = '.c-item-wrapper--character';

    TutorialView.prototype.tutor_message = app.tr('You can view details here.');

    TutorialView.prototype.nextScreen = function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRAUMA, 2);
      app.screens.closeCurrentModals();
      this.removePulsate();
      app.screens.once('view:ready:common/injury-popup', function() {
        return app.modalDialog.screen('tutor/injury-4');
      });
      return $('.c-icon-injury--red').click();
    };

    return TutorialView;

  })(PulsateView);
  return TutorialView;
});
