define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    _controlSelector: '.js-tutor-quests',
    _wrapperSelector: '.js-menu',
    tutor_show_quest: 'tutorial_trauma',
    className: 'o-tutor entrance-4',
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRAUMA, 10);
      this.removePulsate().click();
      app.menu.closeGroup('information');
      return app.screens.once('view:ready:quests', function() {
        return app.modalDialog.screen('tutor/injury-10');
      });
    }
  });
});
