var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor/tutor-blank.tmpl'], function(app, PulsateView, template) {
  var Tutorial;
  Tutorial = (function(superClass) {
    extend(Tutorial, superClass);

    function Tutorial() {
      return Tutorial.__super__.constructor.apply(this, arguments);
    }

    Tutorial.prototype.className = 'o-tutor quests-1';

    Tutorial.prototype.template = template;

    Tutorial.prototype._controlSelector = '.c-header__menu-button';

    Tutorial.prototype.nextScreen = function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRAINING, 8);
      $(this._controlSelector).removeClass('c-pulsate');
      return app.quests.whenQuestFinished('tutorial_training').then(function() {
        app.menu.open();
        return app.modalDialog.screen('tutor/sport-tutor/sport-9');
      });
    };

    return Tutorial;

  })(PulsateView);
  return Tutorial;
});
