define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor.tmpl'], function(app, PulsateView, template) {
  return PulsateView.extend({
    template: template,
    tutor_show_quest: 'tutorial_tradecenter',
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRADECENTER, 1);
      app.menu.open();
      $('.js-tutor-econimics').click();
      app.screens.closeCurrentModals();
      return app.modalDialog.screen('tutor/trade/trade-center-2');
    },
    onBeforeRender: function(event) {
      return this.options.message = app.tr('Go to trade center and buy something.');
    }
  });
});
