define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor.tmpl'], function(app, PulsateView, template) {
  return PulsateView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRADECENTER, 10);
      app.modalDialog.close();
      return app.modalDialog.screen('tutor/trade/trade-center-11');
    },
    onBeforeRender: function(event) {
      return this.options.message = app.tr('Choose item from your inventory and equip it.');
    }
  });
});
