define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor.tmpl'], function(app, PulsateView, template) {
  return PulsateView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRADECENTER, 13);
      app.screens.closeCurrentModals();
      return app.quests.whenQuestFinished('tutorial_tradecenter').then(function() {
        return app.modalDialog.screen('tutor/trade/get-award-go');
      });
    },
    onBeforeRender: function(event) {
      return this.options.message = app.tr('You did a great job! Do not forget to pick up the award for the job.');
    }
  });
});
