define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    tutor_message: app.tr('TUTOR_TRADE_2_MSG'),
    _controlSelector: '.js-tutor-trade-center',
    _wrapperSelector: '.js-menu',
    _menuGroup: 'economics',
    nextScreen: function() {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRADECENTER, 2);
      $(this._controlSelector).removeClass('c-pulsate');
      app.menu.close();
      app.screens.main('trade-center');
      return app.screens.once('view:ready:trade-center', function() {
        return app.modalDialog.screen('tutor/trade/trade-center-3');
      });
    }
  });
});
