define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    tutor_message: app.tr('TUTOR_TRADE_6_MSG'),
    _controlSelector: '.js-tutor-lot-buy:first',
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRADECENTER, 6);
      $(this._controlSelector).removeClass('c-pulsate').find('.js-buy-lot').click();
      if (app.config.googleAnalyticsEnabled && app.ga) {
        app.ga('send', 'tutorpageview', {
          page: '/scr/trade-center/purchase-item'
        });
      }
      return app.screens.once('view:ready:trade-center/purchase-item', function() {
        return app.modalDialog.screen('tutor/trade/trade-center-7');
      });
    }
  });
});
