define(['app', 'views/item-view', 'underscore', 'text!templates/tutor.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      if (app.config.googleAnalyticsEnabled && app.ga) {
        app.ga('send', 'tutorpageview', {
          page: '/scr/hospital.service.healTrauma'
        });
      }
      return app.modalDialog.close();
    },
    onBeforeRender: function(event) {
      return this.options.message = app.tr("That's better! Now you can continue the battle with the bandits.");
    }
  });
});
